Bug 542580 - Review Request: statusnet - Open Source microblogging platform
Review Request: statusnet - Open Source microblogging platform
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On: 741761
Blocks: FE-DEADREVIEW 487388 487389 487391 520771
  Show dependency treegraph
 
Reported: 2009-11-30 03:54 EST by Rakesh Pandit
Modified: 2012-03-19 06:43 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 06:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-11-30 03:54:19 EST
Description:
StatusNet is a Free and Open Source microblogging platform. It helps
people in a community, company or group to exchange short (140
character) messages over the Web. Users can choose which people to
"follow" and receive only their friends' or colleagues' status
messages.

SPEC: http://rakesh.fedorapeople.org/spec/statusnet.spec
SRPM: http://rakesh.fedorapeople.org/spec/statusnet-0.8.2-1.fc12.src.rpm
Comment 1 Rakesh Pandit 2009-11-30 03:57:18 EST
Few things to note down:

1. Rpmlint says:

statusnet.noarch: E: non-executable-script /var/www/statusnet/extlib/DB/DataObject/createTables.php 0644 /usr/bin/php
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/sessiongc.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/uncache_users.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/deleteuser.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/decache.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/reportsnapshot.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/triminboxes.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/showcache.php 0644 /usr/bin/env
statusnet.noarch: E: script-without-shebang /var/www/statusnet/scripts/update_pot.sh
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/makegroupadmin.php 0644 /usr/bin/env
statusnet.noarch: E: script-without-shebang /var/www/statusnet/extlib/facebook/facebookapi_php5_restlib.php
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/pingqueuehandler.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/registeruser.php 0644 /usr/bin/env
statusnet.noarch: E: non-executable-script /var/www/statusnet/scripts/createsim.php 0644 /usr/bin/env
1 packages and 0 specfiles checked; 14 errors, 0 warnings.

These can be ignored.

2. extlib carries external libraries which needs to be removed and instead dependencies from already existing packages need to be used.

Will work on second point in coming days and update next release bump.

Feel free to start review.

Thanks,
Comment 2 Stefan Riemens 2009-12-11 06:21:21 EST
Just a quick comment: Please use %global instead of %define...

Stefan
Comment 4 Zach Copley 2010-02-09 13:57:34 EST
Let me know what I can do to help. The original author of the .spec, Ken Sedgwick, might aslo lend a hand.

Zach
Comment 5 Jan Wildeboer 2010-02-09 14:01:56 EST
I would suggest we bump the version up to current stable which is 0.8.3.

Maybe even go for 0.9, now that is closer to RC/Beta?
Comment 6 Zach Copley 2010-02-09 14:22:24 EST
I think it would be good to bump to 0.9 beta5. 0.9.0 should be out in a week or so and wont be too much different.

What should we do with the .spec file in our StatusNet repo?  Should we replace/update with the new one?  Or delete it and let you guys maintain?

Zach
Comment 7 Steve Milner 2010-02-09 14:48:45 EST
As noted, there is a lot of interest in this becoming packaged. I have updated the spec for 0.8.3:

http://www.stevemilner.org/images/statusnet/statusnet-0.8.3-1.fc12.src.rpm
http://www.stevemilner.org/images/statusnet/statusnet.spec
Comment 8 Steve Milner 2010-02-09 15:11:43 EST
Found a few bugs in the package. I'll fix them and post the update a bit later today (path issues -- not upstream bugs).
Comment 10 Steve Milner 2010-02-10 10:15:37 EST
Also, currently have instructions of how  I set up my test instance temporarily at: http://www.stevemilner.org/images/statusnet/
Comment 11 Steve Milner 2010-06-09 14:45:59 EDT
I'm giving up on this -- if someone wants to pick it up snag the spec/srpm and go for it.
Comment 12 Gianluca Sforna 2010-11-03 09:33:26 EDT
Lack of time or missing reviewer? in the latter case I can help
Comment 13 Rakesh Pandit 2010-11-03 12:57:28 EDT
Lack of time on my plate. I will update in coming 2-3 weeks for sure.

In case I have an update will open.
Comment 14 Bug Zapper 2010-11-04 00:53:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Matěj Cepl 2011-08-19 09:52:36 EDT
Reopening this bug. I have now (more or less) working status.net package on http://mcepl.fedorapeople.org/rpms/statusnet-1.0.0-*.src.rpm and http://mcepl.fedorapeople.org/rpms/statusnet.spec and I will continue to work on it until it is ready  for submission.
Comment 16 Michael Scherer 2012-03-18 18:36:36 EDT
A few comments :
- you should drop %defattr and %clean, unless you plan to backport to EPEL 5

- %check seems to be empty, so maybe you can drop this

- since laconica is not in fedora repository ( and long forgotten ), maybe this is not needed to provide it

- why is there user creation, if it doesn't serve to anything ( ie, that's a php software, and I didn't see any cron job or reason to think anything would use it )

- Requiring mysql-server is IMHO wrong, since the sql server can be on another server. On the other hand, I didn't found any guideline against that.

- BuildRoot can also be removed

- rm -rf %buildroot can be removed at the beggining of %install
Comment 17 Michael Scherer 2012-03-18 18:39:57 EDT
( also, I set this as NEW so it can still appear in the list of review request )
Comment 18 Matěj Cepl 2012-03-19 06:43:49 EDT
Sorry, I should close this a long time ago. I have never managed to make instance working (because of my local issues, nothing wrong with the status.net itself). If anybody wants to reopen this, do it on your own.

Note You need to log in before you can comment on or make changes to this bug.